package com.softcorporation.util;

/**
 * @author Vadim Permakoff
 */
public class MyExpiringCache extends ExpiringCache<String, String> {

    public MyExpiringCache(final int maxSize, final int itemTTL, final int cacheTTL) {
        super(maxSize, itemTTL, cacheTTL);
    }
    
    public int load0() {
        put("1", "eBay");
        put("2", "Paypal");
        put("3", "Google");
        put("4", "Microsoft");
        put("5", "IBM");
        System.out.println("loaded all:" + size());
        return 5;
    }

}
